DocumentBuilderImpl
Date: 2016-07-03

com.icl.saxon.om

## Class DocumentBuilderImpl

- java.lang.Object
- - javax.xml.parsers.DocumentBuilder
  - - com.icl.saxon.om.DocumentBuilderImpl

-     public class DocumentBuilderImpl
      extends javax.xml.parsers.DocumentBuilder

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocumentBuilderImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.w3c.dom.DOMImplementation` | `getDOMImplementation()`
    `boolean` | `isNamespaceAware()`
    `boolean` | `isValidating()`
    `org.w3c.dom.Document` | `newDocument()`
    `org.w3c.dom.Document` | `parse(org.xml.sax.InputSource in)`
    `void` | `setEntityResolver(org.xml.sax.EntityResolver er)`
    `void` | `setErrorHandler(org.xml.sax.ErrorHandler er)`

    - ### Methods inherited from class javax.xml.parsers.DocumentBuilder

      `getSchema, isXIncludeAware, parse, parse, parse, parse, reset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DocumentBuilderImpl

          public DocumentBuilderImpl()

  - ### Method Detail

    - #### isNamespaceAware

          public boolean isNamespaceAware()

      Specified by:
        `isNamespaceAware` in class `javax.xml.parsers.DocumentBuilder`

    - #### isValidating

          public boolean isValidating()

      Specified by:
        `isValidating` in class `javax.xml.parsers.DocumentBuilder`

    - #### newDocument

          public org.w3c.dom.Document newDocument()

      Specified by:
        `newDocument` in class `javax.xml.parsers.DocumentBuilder`

    - #### parse

          public org.w3c.dom.Document parse(org.xml.sax.InputSource in)
                                     throws org.xml.sax.SAXException

      Specified by:
        `parse` in class `javax.xml.parsers.DocumentBuilder`
      Throws:
        `org.xml.sax.SAXException`

    - #### setEntityResolver

          public void setEntityResolver(org.xml.sax.EntityResolver er)

      Specified by:
        `setEntityResolver` in class `javax.xml.parsers.DocumentBuilder`

    - #### setErrorHandler

          public void setErrorHandler(org.xml.sax.ErrorHandler er)

      Specified by:
        `setErrorHandler` in class `javax.xml.parsers.DocumentBuilder`

    - #### getDOMImplementation

          public org.w3c.dom.DOMImplementation getDOMImplementation()

      Specified by:
        `getDOMImplementation` in class `javax.xml.parsers.DocumentBuilder`